Package com.orbbec.obsensor

## Enum MediaState

- java.lang.Object
- - java.lang.Enum<MediaState>
  - - com.orbbec.obsensor.MediaState

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<MediaState>`

    public enum MediaState
    extends java.lang.Enum<MediaState>

Record playback status

### Enum Constant Summary

Enum Constants
`OB_MEDIA_BEGIN` start
`OB_MEDIA_END` end
`OB_MEDIA_PAUSE` pause
`OB_MEDIA_RESUME` recover

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static MediaState` `get​(int value)` Get the recording and playback status corresponding to the specified index
`int` `value()` Get the index corresponding to the recording and playback status
`static MediaState` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MediaState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OB_MEDIA_BEGIN

    public static final MediaState OB_MEDIA_BEGIN

start

#### OB_MEDIA_PAUSE

    public static final MediaState OB_MEDIA_PAUSE

pause

#### OB_MEDIA_RESUME

    public static final MediaState OB_MEDIA_RESUME

recover

#### OB_MEDIA_END

    public static final MediaState OB_MEDIA_END

end

### Method Detail

#### values

    public static MediaState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MediaState c : MediaState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MediaState valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### value

    public int value()

Get the index corresponding to the recording and playback status

Returns:
  index value

#### get

    public static MediaState get​(int value)

Get the recording and playback status corresponding to the specified index

Parameters:
  `value` - index value
Returns:
  Record playback status